/* Change nav color */
.navbar-custom {
    background-color: #000000;
    opacity: 0.9;  
}
/* change the brand and text color */
.navbar-custom .navbar-brand,
.navbar-custom .navbar-text {
    color: rgba(255,255,255,.8);
}
/* change the link color */
.navbar-custom .navbar-nav .nav-link {
    color: rgba(255,255,255,.5);
}
/* change the color of active or hovered links */
.navbar-custom .nav-item.active .nav-link,
.navbar-custom .nav-item:hover .nav-link {
    color: #ffffff;
}
/* Change Color of Hamburger Outline */
.navbar-custom .navbar-toggler {
  border-color:red;
}

/* Text with Line on h6 */
h6 {
  overflow: hidden;
  text-align: center;
}

h6:before,
h6:after {
  background-color: #000;
  content: "";
  display: inline-block;
  height: 1px;
  position: relative;
  vertical-align: middle;
  width: 20%;
}

h6:before {
  right: 0.5em;
  margin-left: -50%;
}

h6:after {
  left: 0.5em;
  margin-right: -50%;
}

/* Text with Line on h3 */
h3 {
  overflow: hidden;
  text-align: center;
}

h3:before,
h3:after {
  background-color: #000;
  content: "";
  display: inline-block;
  height: 1px;
  position: relative;
  vertical-align: middle;
  width: 20%;
}

h3:before {
  right: 0.5em;
  margin-left: -50%;
}

h3:after {
  left: 0.5em;
  margin-right: -50%;
}

/************************ Animation Section *******************************/

/* Grow */
.grow {
  animation: grow 1s;
}
@keyframes grow {
  from { transform: scale(0); }
  to { transform: scale(1); }
}

/* Fade in left */
.fade-in-left {
  animation: fade-in-left 1s;
}
@keyframes fade-in-left {
  0% {
    opacity: 0;
    transform: translateX(-50px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
/* Bounce in right */
.bounce-in-right {
  animation: bounce-in-right 2s;
}
@keyframes bounce-in-right {
  0% {
    opacity: 0;
    transform: translateX(2000px);
  }
  60% {
    opacity: 1;
    transform: translateX(-30px);
  }
  80% { transform: translateX(10px); }
  100% { transform: translateX(0); }
}

/* Zoom on Hover Animation     */
    .zoom {
      
      transition: transform .2s;
      margin: 0 auto;
    }
    
    .zoom:hover {
      -ms-transform: scale(1.02); /* IE 9 */
      -webkit-transform: scale(1.02); /* Safari 3-8 */
      transform: scale(1.02); 
    }

    /************************ End of Animation Section *************************/

    .spacer {
      margin: 10px 10px;
  }





/*---Media Queries --*/
@media (max-width: 992px) {

}
@media (max-width: 768px) {

}
@media (max-width: 576px) {

}

/*---Firefox Bug Fix --*/
.carousel-item {
  transition: -webkit-transform 0.5s ease;
  transition: transform 0.5s ease;
  transition: transform 0.5s ease, -webkit-transform 0.5s ease;
  -webkit-backface-visibility: visible;
  backface-visibility: visible;
}


/*--- Bootstrap Padding Fix --*/
[class*="col-"] {
    padding: 1rem;
}